Bug 112400 - Invalid alsa control device with i810
Invalid alsa control device with i810
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: MAKEDEV (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-18 19:17 EST by Kaj J. Niemi
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-19 08:37:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of /proc/asound/cards stating a 82801DB-ICH4 has been found (108 bytes, text/plain)
2003-12-18 19:18 EST, Kaj J. Niemi
no flags Details
Output of "lsmod" (2.06 KB, text/plain)
2003-12-18 19:19 EST, Kaj J. Niemi
no flags Details
Output of "dmesg" (14.08 KB, text/plain)
2003-12-18 19:19 EST, Kaj J. Niemi
no flags Details
The current modules.conf with alsa enabled and OSS disabled (1.28 KB, text/plain)
2003-12-18 19:20 EST, Kaj J. Niemi
no flags Details
More complete alsa file for MAKEDEV (2.40 KB, text/plain)
2003-12-18 19:34 EST, rudi
no flags Details

  None (edit)
Description Kaj J. Niemi 2003-12-18 19:17:54 EST
Description of problem:
Seems  the dev package creates the wrong control device nodes under
/dev/snd/.

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.1.14
dev-3.3.9-1

How reproducible:
Always.

Steps to Reproduce:
1. aplay
2.
3.
  
Actual results:
Prints error "aplay: main:502: audio open error: No such file or
directory"

It's trying to do the following:

open("/dev/snd/controlC0", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/dev/aloadC0", O_RDONLY)          = -1 EACCES (Permission denied)
open("/dev/snd/controlC0", O_RDWR)      = -1 ENOENT (No such file or
directory)
open("/dev/snd/controlC0", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/dev/aloadC0", O_RDONLY)          = -1 EACCES (Permission denied)
open("/dev/snd/controlC0", O_RDWR)      = -1 ENOENT (No such file or
directory)

while /dev/snd/ has the following:

crw-------  1 kajtzu root 116,  0 Dec 13 00:03 /dev/snd/control0
crw-------  1 kajtzu root 116, 32 Dec 13 00:03 /dev/snd/control1
crw-------  1 kajtzu root 116, 64 Dec 13 00:03 /dev/snd/control2
crw-------  1 kajtzu root 116, 96 Dec 13 00:03 /dev/snd/control3

% rpm -qf /dev/snd/control0
dev-3.3.9-1

Expected results:
should work ;-)

Additional info:
Creating the right node manually, eg.

sudo mknod /dev/snd/controlC0 c 116 0
sudo chown kajtzu:root /dev/snd/controlC0

enables sound...


Attached lsmod, output from /proc/asound/cards, /etc/modules.conf
Comment 1 Kaj J. Niemi 2003-12-18 19:18:40 EST
Created attachment 96625 [details]
Output of /proc/asound/cards stating a 82801DB-ICH4 has been found
Comment 2 Kaj J. Niemi 2003-12-18 19:19:05 EST
Created attachment 96626 [details]
Output of "lsmod"
Comment 3 Kaj J. Niemi 2003-12-18 19:19:40 EST
Created attachment 96627 [details]
Output of "dmesg"
Comment 4 Kaj J. Niemi 2003-12-18 19:20:30 EST
Created attachment 96628 [details]
The current modules.conf with alsa enabled and OSS disabled
Comment 5 Kaj J. Niemi 2003-12-18 19:26:06 EST
Changing to MAKEDEV as it's the SRPM for dev anyway.
Comment 6 rudi 2003-12-18 19:34:29 EST
Created attachment 96629 [details]
More complete alsa file for MAKEDEV

The bug is probably in MAKEDEV rather than dev. I am attaching the alsa
configuration file I stole from FreshRPM's alsa-driver package. It adds a
number of device nodes currently not defined in MAKEDEV - please notice that
it also uses much less restrictive permissions, something which you might want
or might not want to revert.
Comment 7 Kaj J. Niemi 2003-12-19 08:37:24 EST
Fixed in MAKEDEV-3.3.9-2/dev-3.3.9-2

Resolving as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.